Package org.apache.ignite.internal.processors.cache.distributed.near.consistency

## Class GridNearReadRepairAbstractFuture.ByteArrayWrapper

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.distributed.near.consistency.GridNearReadRepairAbstractFuture.ByteArrayWrapper

Enclosing class:
  GridNearReadRepairAbstractFuture

    protected static final class GridNearReadRepairAbstractFuture.ByteArrayWrapper
    extends Object

### Constructor Summary

Constructors
`ByteArrayWrapper​(byte[] arr)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object o)`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ByteArrayWrapper

    public ByteArrayWrapper​(byte[] arr)

### Method Detail

#### equals

    public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`